3.6 WP upgrade conflict with Events+

Quick fyi: https://premium.wpmudev.org/project/events-plus/ caused fails with WP 3.6 upgrade. I had to disable as it caused home screen of site to go blank/white and took site down.

  • Alexander

    Hi @vtmiller,

    I've just tested this on 3.6 and it's working ok for me. What add-ons are you using?

    Also, if you're getting a blank/white screen it's possible that there's an error message we can check on.

    This might be specific to your site and combination of settings. Can you please enable debug mode? This can be done by opening your wp-config.php file and changing

    define('WP_DEBUG', false);
    to
    define('WP_DEBUG', true);

    Then check wherever you got the white screen to see if there are any errors displayed.

    Best regards

  • vtmiller

    And noticed this in back-end above normal WP admin area:

    Notice: wp_register_style was called incorrectly. Scripts and styles should not be registered or enqueued until the wp_enqueue_scripts, admin_enqueue_scripts, or login_enqueue_scripts hooks. Please see Debugging in WordPress for more information. (This message was added in version 3.3.) in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-includes/functions.php on line 3012

    Deprecated: Assigning the return value of new by reference is deprecated in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-content/plugins/wishlist-audio-player/wishlist-audio-player.php(13) : eval()'d code(3) : eval()'d code on line 2

    Notice: wpdb::escape is deprecated since version 3.6! Use wpdb::prepare() or esc_sql() instead. in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-includes/functions.php on line 2871

    Deprecated: Assigning the return value of new by reference is deprecated in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-content/plugins/wishlist-badge/wishlist-badge.php(67) : eval()'d code(3) : eval()'d code on line 55

    Notice: wpdb::escape is deprecated since version 3.6! Use wpdb::prepare() or esc_sql() instead. in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-includes/functions.php on line 2871

    Notice: wpdb::escape is deprecated since version 3.6! Use wpdb::prepare() or esc_sql() instead. in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-includes/functions.php on line 2871

    Deprecated: Assigning the return value of new by reference is deprecated in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-content/plugins/wishlist-favorites/wishlist-favorites.php(177) : eval()'d code(3) : eval()'d code on line 162

    Notice: wpdb::escape is deprecated since version 3.6! Use wpdb::prepare() or esc_sql() instead. in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-includes/functions.php on line 2871

    Deprecated: Assigning the return value of new by reference is deprecated in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-content/plugins/wishlist-idcard/wishlist-idcard.php(14) : eval()'d code(3) : eval()'d code on line 2

    Notice: wpdb::escape is deprecated since version 3.6! Use wpdb::prepare() or esc_sql() instead. in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-includes/functions.php on line 2871

    Deprecated: Assigning the return value of new by reference is deprecated in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-content/plugins/wishlist-login/wishlist-login2.php(62) : eval()'d code(3) : eval()'d code on line 50

    Notice: wpdb::escape is deprecated since version 3.6! Use wpdb::prepare() or esc_sql() instead. in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-includes/functions.php on line 2871

    Deprecated: Assigning the return value of new by reference is deprecated in /mnt/stor3-wc2-dfw1/491452/806413/www.centerhouse.org/web/content/wp-content/plugins/wishlist-member/wpm.php(233) : eval()'d code(3) : eval()'d code on line 211

  • Alexander

    Hi @vtmiller,

    The notices and depreciated messages are to help developers stay on top of things when it comes to keeping up to date with Wordpress versions. I don't think we have anything to worry about there.

    It think what's happening is that another plugin could be causing a problem, which is leading to Events+ not being able to run at all.

    Another possiblity is that it's related to an Events+ add-on.

    Can you start by disabling all the add-ons you're using to see if that makes a difference?

    If that doesn't get us anywhere, we'll need to check for a conflict with another plugin. Try disabling all your other plugins and see if Events+ starts working. If it does, try enabling plugins again one by one and testing as you go. When it breaks, we'll know which plugin is the problem.

    It could also be theme related. You can try switching to TwentyThirteen to test this.

    Once we identify the conflict, we'll be able to look into a solution for it specifically.

  • vtmiller

    Wow! Long day and much thanks for ideas/help. Finally tracked down the issue to a ridiculously premature release of NextGen plugin 2.0 upgrade that is causing lots of issues (with UberMenu, Events+, and tons of other well known/tested/used WP plugins. Deactivated NextGen Gallery plugin and all worked. Then backlogged 1.9 NextGen and things still worked. 4 pages in there is a summary; at least developer is responsive, but shame since they just launched a 'pro-upgrade' option that seems overpriced: http://wordpress.org/support/topic/known-plugin-conflicts-with-nextgen-20?replies=124

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.